Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.hadoop.collect
Class HadoopSpillableTupleMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<Tuple,Collection<Tuple>>
              cascading.tuple.collect.SpillableTupleMap
                  cascading.tuple.hadoop.collect.HadoopSpillableTupleMap

All Implemented Interfaces:
  Spillable, Serializable, Cloneable, Map<Tuple,Collection<Tuple>>

    public class HadoopSpillableTupleMap

extends SpillableTupleMap

HadoopSpillableTupleMap is responsible for spilling values to disk if the map threshold is reached.

See Also:
  `SpillableTupleMap`, `SpillableTupleList`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface cascading.tuple.collect.Spillable
`Spillable.SpillListener, Spillable.SpillStrategy`

Field Summary

Fields inherited from class cascading.tuple.collect.SpillableTupleMap
`MAP_CAPACITY, MAP_LOADFACTOR, MAP_THRESHOLD`

Constructor Summary
`HadoopSpillableTupleMap(int initialCapacity, float loadFactor, int mapThreshold, int listThreshold, FlowProcess<JobConf> flowProcess)`

Method Summary
`protected Collection<Tuple>` | `createTupleCollection(Tuple tuple)`
`protected Spillable.SpillStrategy` | `getSpillStrategy()` Method getSpillStrategy returns a SpillStrategy instance that is passed to the underlying Spillable tuple collection.

Methods inherited from class cascading.tuple.collect.SpillableTupleMap
`get, getGrouping, getInitListThreshold, getMapCapacity, getMapLoadFactor, getMapThreshold, getMapThreshold, getSpillListener, setGrouping, setSpillListener, setSpillStrategy, spillCount`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### HadoopSpillableTupleMap

    public HadoopSpillableTupleMap(int initialCapacity,
                                   float loadFactor,
                                   int mapThreshold,
                                   int listThreshold,
                                   FlowProcess<JobConf> flowProcess)

Method Detail

### createTupleCollection

    protected Collection<Tuple> createTupleCollection(Tuple tuple)

  Specified by:
    `createTupleCollection` in class `SpillableTupleMap`

### getSpillStrategy

    protected Spillable.SpillStrategy getSpillStrategy()

  Method getSpillStrategy returns a SpillStrategy instance that is passed to the underlying Spillable tuple collection.

  Returns:
    of type Spillable#SpillStrategy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.